# Method: projects.location.prometheus.api.v1.label.values

- [HTTP request](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v1/projects.location.prometheus.api.v1.label/values#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v1/projects.location.prometheus.api.v1.label/values#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v1/projects.location.prometheus.api.v1.label/values#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v1/projects.location.prometheus.api.v1.label/values#body.request_body)
- [Response body](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v1/projects.location.prometheus.api.v1.label/values#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v1/projects.location.prometheus.api.v1.label/values#body.aspect)
- [Try it!](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v1/projects.location.prometheus.api.v1.label/values#try-it)

Lists possible values for a given label name.

### HTTP request

`GET https://monitoring.googleapis.com/v1/{name}/location/{location}/prometheus/api/v1/label/{label}/values`

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The workspace on which to execute the request. It is not part of the open source API but used as a request path prefix to distinguish different virtual Prometheus instances of Google Prometheus Engine. The format is: projects/\[PROJECT_ID_OR_NUMBER\]. |
| `location` | `string` Location of the resource information. Has to be "global" now. |
| `label` | `string` The label name for which values are queried. |

### Query parameters

| Parameters ||
|---|---|
| `start` | `string` The start time to evaluate the query for. Either floating point UNIX seconds or RFC3339 formatted timestamp. |
| `end` | `string` The end time to evaluate the query for. Either floating point UNIX seconds or RFC3339 formatted timestamp. |
| `match` | `string` A list of matchers encoded in the Prometheus label matcher format to constrain the values to series that satisfy them. |

### Request body

The request body must be empty.

### Response body

If successful, the response is a generic HTTP response whose format is defined by the method.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/monitoring`
- `
  https://www.googleapis.com/auth/monitoring.read`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).